<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>Common Types</title>
<meta name="generator" content="DocBook XSL Stylesheets V1.78.1">
<link rel="home" href="index.html" title="Cogl 2.0 Reference Manual">
<link rel="up" href="cogl-general-apis.html" title="General API concepts">
<link rel="prev" href="cogl-2.0-experimental-Exception-handling.html" title="Exception handling">
<link rel="next" href="cogl-context-apis.html" title="Setting Up A Drawing Context">
<meta name="generator" content="GTK-Doc V1.18.1 (XML mode)">
<link rel="stylesheet" href="style.css" type="text/css">
</head>
<body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF">
<table class="navigation" id="top" width="100%" summary="Navigation header" cellpadding="2" cellspacing="2">
<tr valign="middle">
<td><a accesskey="p" href="cogl-2.0-experimental-Exception-handling.html"><img src="left.png" width="24" height="24" border="0" alt="Prev"></a></td>
<td><a accesskey="u" href="cogl-general-apis.html"><img src="up.png" width="24" height="24" border="0" alt="Up"></a></td>
<td><a accesskey="h" href="index.html"><img src="home.png" width="24" height="24" border="0" alt="Home"></a></td>
<th width="100%" align="center">Cogl 2.0 Reference Manual</th>
<td><a accesskey="n" href="cogl-context-apis.html"><img src="right.png" width="24" height="24" border="0" alt="Next"></a></td>
</tr>
<tr><td colspan="5" class="shortcuts">
<a href="#cogl-2.0-experimental-Common-Types.synopsis" class="shortcut">Top</a>
                   | 
                  <a href="#cogl-2.0-experimental-Common-Types.description" class="shortcut">Description</a>
</td></tr>
</table>
<div class="refentry">
<a name="cogl-2.0-experimental-Common-Types"></a><div class="titlepage"></div>
<div class="refnamediv"><table width="100%"><tr>
<td valign="top">
<h2><span class="refentrytitle"><a name="cogl-2.0-experimental-Common-Types.top_of_page"></a>Common Types</span></h2>
<p>Common Types — Types used throughout the library</p>
</td>
<td valign="top" align="right"></td>
</tr></table></div>
<div class="refsynopsisdiv">
<a name="cogl-2.0-experimental-Common-Types.synopsis"></a><h2>Synopsis</h2>
<pre class="synopsis">                    <a class="link" href="cogl-2.0-experimental-Common-Types.html#CoglVertexP2" title="CoglVertexP2">CoglVertexP2</a>;
                    <a class="link" href="cogl-2.0-experimental-Common-Types.html#CoglVertexP3" title="CoglVertexP3">CoglVertexP3</a>;
                    <a class="link" href="cogl-2.0-experimental-Common-Types.html#CoglVertexP2C4" title="CoglVertexP2C4">CoglVertexP2C4</a>;
                    <a class="link" href="cogl-2.0-experimental-Common-Types.html#CoglVertexP3C4" title="CoglVertexP3C4">CoglVertexP3C4</a>;
                    <a class="link" href="cogl-2.0-experimental-Common-Types.html#CoglVertexP2T2" title="CoglVertexP2T2">CoglVertexP2T2</a>;
                    <a class="link" href="cogl-2.0-experimental-Common-Types.html#CoglVertexP3T2" title="CoglVertexP3T2">CoglVertexP3T2</a>;
                    <a class="link" href="cogl-2.0-experimental-Common-Types.html#CoglVertexP2T2C4" title="CoglVertexP2T2C4">CoglVertexP2T2C4</a>;
                    <a class="link" href="cogl-2.0-experimental-Common-Types.html#CoglVertexP3T2C4" title="CoglVertexP3T2C4">CoglVertexP3T2C4</a>;
enum                <a class="link" href="cogl-2.0-experimental-Common-Types.html#CoglVerticesMode" title="enum CoglVerticesMode">CoglVerticesMode</a>;

<span class="returnvalue">void</span>                (<a class="link" href="cogl-2.0-experimental-Common-Types.html#CoglFuncPtr" title="CoglFuncPtr ()">*CoglFuncPtr</a>)                      (<em class="parameter"><code><span class="type">void</span></code></em>);
enum                <a class="link" href="cogl-2.0-experimental-Common-Types.html#CoglPixelFormat" title="enum CoglPixelFormat">CoglPixelFormat</a>;
enum                <a class="link" href="cogl-2.0-experimental-Common-Types.html#CoglBufferTarget" title="enum CoglBufferTarget">CoglBufferTarget</a>;
enum                <a class="link" href="cogl-2.0-experimental-Common-Types.html#CoglBufferBit" title="enum CoglBufferBit">CoglBufferBit</a>;
enum                <a class="link" href="cogl-2.0-experimental-Common-Types.html#CoglAttributeType" title="enum CoglAttributeType">CoglAttributeType</a>;
enum                <a class="link" href="cogl-2.0-experimental-Common-Types.html#CoglColorMask" title="enum CoglColorMask">CoglColorMask</a>;

enum                <a class="link" href="cogl-2.0-experimental-Common-Types.html#CoglTextureFlags" title="enum CoglTextureFlags">CoglTextureFlags</a>;

typedef             <a class="link" href="cogl-2.0-experimental-Common-Types.html#CoglBool" title="CoglBool">CoglBool</a>;
</pre>
</div>
<div class="refsect1">
<a name="cogl-2.0-experimental-Common-Types.description"></a><h2>Description</h2>
<p>
General types used by various Cogl functions.
</p>
</div>
<div class="refsect1">
<a name="cogl-2.0-experimental-Common-Types.details"></a><h2>Details</h2>
<div class="refsect2">
<a name="CoglVertexP2"></a><h3>CoglVertexP2</h3>
<pre class="programlisting">typedef struct {
   float x, y;
} CoglVertexP2;
</pre>
<p>
A convenience vertex definition that can be used with
<a class="link" href="cogl-2.0-experimental-Primitives.html#cogl-primitive-new-p2" title="cogl_primitive_new_p2 ()"><code class="function">cogl_primitive_new_p2()</code></a>.
</p>
<div class="variablelist"><table border="0" class="variablelist">
<colgroup>
<col align="left" valign="top">
<col>
</colgroup>
<tbody>
<tr>
<td><p><span class="term"><span class="type">float</span> <em class="structfield"><code><a name="CoglVertexP2.x"></a>x</code></em>;</span></p></td>
<td>The x component of a position attribute</td>
</tr>
<tr>
<td><p><span class="term"><span class="type">float</span> <em class="structfield"><code><a name="CoglVertexP2.y"></a>y</code></em>;</span></p></td>
<td>The y component of a position attribute</td>
</tr>
</tbody>
</table></div>
<p class="since">Since 1.6</p>
<p class="stability">Stability Level: Unstable</p>
</div>
<hr>
<div class="refsect2">
<a name="CoglVertexP3"></a><h3>CoglVertexP3</h3>
<pre class="programlisting">typedef struct {
   float x, y, z;
} CoglVertexP3;
</pre>
<p>
A convenience vertex definition that can be used with
<a class="link" href="cogl-2.0-experimental-Primitives.html#cogl-primitive-new-p3" title="cogl_primitive_new_p3 ()"><code class="function">cogl_primitive_new_p3()</code></a>.
</p>
<div class="variablelist"><table border="0" class="variablelist">
<colgroup>
<col align="left" valign="top">
<col>
</colgroup>
<tbody>
<tr>
<td><p><span class="term"><span class="type">float</span> <em class="structfield"><code><a name="CoglVertexP3.x"></a>x</code></em>;</span></p></td>
<td>The x component of a position attribute</td>
</tr>
<tr>
<td><p><span class="term"><span class="type">float</span> <em class="structfield"><code><a name="CoglVertexP3.y"></a>y</code></em>;</span></p></td>
<td>The y component of a position attribute</td>
</tr>
<tr>
<td><p><span class="term"><span class="type">float</span> <em class="structfield"><code><a name="CoglVertexP3.z"></a>z</code></em>;</span></p></td>
<td>The z component of a position attribute</td>
</tr>
</tbody>
</table></div>
<p class="since">Since 1.6</p>
<p class="stability">Stability Level: Unstable</p>
</div>
<hr>
<div class="refsect2">
<a name="CoglVertexP2C4"></a><h3>CoglVertexP2C4</h3>
<pre class="programlisting">typedef struct {
   float x, y;
   uint8_t r, g, b, a;
} CoglVertexP2C4;
</pre>
<p>
A convenience vertex definition that can be used with
<a class="link" href="cogl-2.0-experimental-Primitives.html#cogl-primitive-new-p2c4" title="cogl_primitive_new_p2c4 ()"><code class="function">cogl_primitive_new_p2c4()</code></a>.
</p>
<div class="variablelist"><table border="0" class="variablelist">
<colgroup>
<col align="left" valign="top">
<col>
</colgroup>
<tbody>
<tr>
<td><p><span class="term"><span class="type">float</span> <em class="structfield"><code><a name="CoglVertexP2C4.x"></a>x</code></em>;</span></p></td>
<td>The x component of a position attribute</td>
</tr>
<tr>
<td><p><span class="term"><span class="type">float</span> <em class="structfield"><code><a name="CoglVertexP2C4.y"></a>y</code></em>;</span></p></td>
<td>The y component of a position attribute</td>
</tr>
<tr>
<td><p><span class="term"><span class="type">uint8_t</span> <em class="structfield"><code><a name="CoglVertexP2C4.r"></a>r</code></em>;</span></p></td>
<td>The red component of a color attribute</td>
</tr>
<tr>
<td><p><span class="term"><span class="type">uint8_t</span> <em class="structfield"><code><a name="CoglVertexP2C4.g"></a>g</code></em>;</span></p></td>
<td>The blue component of a color attribute</td>
</tr>
<tr>
<td><p><span class="term"><span class="type">uint8_t</span> <em class="structfield"><code><a name="CoglVertexP2C4.b"></a>b</code></em>;</span></p></td>
<td>The green component of a color attribute</td>
</tr>
<tr>
<td><p><span class="term"><span class="type">uint8_t</span> <em class="structfield"><code><a name="CoglVertexP2C4.a"></a>a</code></em>;</span></p></td>
<td>The alpha component of a color attribute</td>
</tr>
</tbody>
</table></div>
<p class="since">Since 1.6</p>
<p class="stability">Stability Level: Unstable</p>
</div>
<hr>
<div class="refsect2">
<a name="CoglVertexP3C4"></a><h3>CoglVertexP3C4</h3>
<pre class="programlisting">typedef struct {
   float x, y, z;
   uint8_t r, g, b, a;
} CoglVertexP3C4;
</pre>
<p>
A convenience vertex definition that can be used with
<a class="link" href="cogl-2.0-experimental-Primitives.html#cogl-primitive-new-p3c4" title="cogl_primitive_new_p3c4 ()"><code class="function">cogl_primitive_new_p3c4()</code></a>.
</p>
<div class="variablelist"><table border="0" class="variablelist">
<colgroup>
<col align="left" valign="top">
<col>
</colgroup>
<tbody>
<tr>
<td><p><span class="term"><span class="type">float</span> <em class="structfield"><code><a name="CoglVertexP3C4.x"></a>x</code></em>;</span></p></td>
<td>The x component of a position attribute</td>
</tr>
<tr>
<td><p><span class="term"><span class="type">float</span> <em class="structfield"><code><a name="CoglVertexP3C4.y"></a>y</code></em>;</span></p></td>
<td>The y component of a position attribute</td>
</tr>
<tr>
<td><p><span class="term"><span class="type">float</span> <em class="structfield"><code><a name="CoglVertexP3C4.z"></a>z</code></em>;</span></p></td>
<td>The z component of a position attribute</td>
</tr>
<tr>
<td><p><span class="term"><span class="type">uint8_t</span> <em class="structfield"><code><a name="CoglVertexP3C4.r"></a>r</code></em>;</span></p></td>
<td>The red component of a color attribute</td>
</tr>
<tr>
<td><p><span class="term"><span class="type">uint8_t</span> <em class="structfield"><code><a name="CoglVertexP3C4.g"></a>g</code></em>;</span></p></td>
<td>The blue component of a color attribute</td>
</tr>
<tr>
<td><p><span class="term"><span class="type">uint8_t</span> <em class="structfield"><code><a name="CoglVertexP3C4.b"></a>b</code></em>;</span></p></td>
<td>The green component of a color attribute</td>
</tr>
<tr>
<td><p><span class="term"><span class="type">uint8_t</span> <em class="structfield"><code><a name="CoglVertexP3C4.a"></a>a</code></em>;</span></p></td>
<td>The alpha component of a color attribute</td>
</tr>
</tbody>
</table></div>
<p class="since">Since 1.6</p>
<p class="stability">Stability Level: Unstable</p>
</div>
<hr>
<div class="refsect2">
<a name="CoglVertexP2T2"></a><h3>CoglVertexP2T2</h3>
<pre class="programlisting">typedef struct {
   float x, y;
   float s, t;
} CoglVertexP2T2;
</pre>
<p>
A convenience vertex definition that can be used with
<a class="link" href="cogl-2.0-experimental-Primitives.html#cogl-primitive-new-p2t2" title="cogl_primitive_new_p2t2 ()"><code class="function">cogl_primitive_new_p2t2()</code></a>.
</p>
<div class="variablelist"><table border="0" class="variablelist">
<colgroup>
<col align="left" valign="top">
<col>
</colgroup>
<tbody>
<tr>
<td><p><span class="term"><span class="type">float</span> <em class="structfield"><code><a name="CoglVertexP2T2.x"></a>x</code></em>;</span></p></td>
<td>The x component of a position attribute</td>
</tr>
<tr>
<td><p><span class="term"><span class="type">float</span> <em class="structfield"><code><a name="CoglVertexP2T2.y"></a>y</code></em>;</span></p></td>
<td>The y component of a position attribute</td>
</tr>
<tr>
<td><p><span class="term"><span class="type">float</span> <em class="structfield"><code><a name="CoglVertexP2T2.s"></a>s</code></em>;</span></p></td>
<td>The s component of a texture coordinate attribute</td>
</tr>
<tr>
<td><p><span class="term"><span class="type">float</span> <em class="structfield"><code><a name="CoglVertexP2T2.t"></a>t</code></em>;</span></p></td>
<td>The t component of a texture coordinate attribute</td>
</tr>
</tbody>
</table></div>
<p class="since">Since 1.6</p>
<p class="stability">Stability Level: Unstable</p>
</div>
<hr>
<div class="refsect2">
<a name="CoglVertexP3T2"></a><h3>CoglVertexP3T2</h3>
<pre class="programlisting">typedef struct {
   float x, y, z;
   float s, t;
} CoglVertexP3T2;
</pre>
<p>
A convenience vertex definition that can be used with
<a class="link" href="cogl-2.0-experimental-Primitives.html#cogl-primitive-new-p3t2" title="cogl_primitive_new_p3t2 ()"><code class="function">cogl_primitive_new_p3t2()</code></a>.
</p>
<div class="variablelist"><table border="0" class="variablelist">
<colgroup>
<col align="left" valign="top">
<col>
</colgroup>
<tbody>
<tr>
<td><p><span class="term"><span class="type">float</span> <em class="structfield"><code><a name="CoglVertexP3T2.x"></a>x</code></em>;</span></p></td>
<td>The x component of a position attribute</td>
</tr>
<tr>
<td><p><span class="term"><span class="type">float</span> <em class="structfield"><code><a name="CoglVertexP3T2.y"></a>y</code></em>;</span></p></td>
<td>The y component of a position attribute</td>
</tr>
<tr>
<td><p><span class="term"><span class="type">float</span> <em class="structfield"><code><a name="CoglVertexP3T2.z"></a>z</code></em>;</span></p></td>
<td>The z component of a position attribute</td>
</tr>
<tr>
<td><p><span class="term"><span class="type">float</span> <em class="structfield"><code><a name="CoglVertexP3T2.s"></a>s</code></em>;</span></p></td>
<td>The s component of a texture coordinate attribute</td>
</tr>
<tr>
<td><p><span class="term"><span class="type">float</span> <em class="structfield"><code><a name="CoglVertexP3T2.t"></a>t</code></em>;</span></p></td>
<td>The t component of a texture coordinate attribute</td>
</tr>
</tbody>
</table></div>
<p class="since">Since 1.6</p>
<p class="stability">Stability Level: Unstable</p>
</div>
<hr>
<div class="refsect2">
<a name="CoglVertexP2T2C4"></a><h3>CoglVertexP2T2C4</h3>
<pre class="programlisting">typedef struct {
   float x, y;
   float s, t;
   uint8_t r, g, b, a;
} CoglVertexP2T2C4;
</pre>
<p>
A convenience vertex definition that can be used with
<a class="link" href="cogl-2.0-experimental-Primitives.html#cogl-primitive-new-p3t2c4" title="cogl_primitive_new_p3t2c4 ()"><code class="function">cogl_primitive_new_p3t2c4()</code></a>.
</p>
<div class="variablelist"><table border="0" class="variablelist">
<colgroup>
<col align="left" valign="top">
<col>
</colgroup>
<tbody>
<tr>
<td><p><span class="term"><span class="type">float</span> <em class="structfield"><code><a name="CoglVertexP2T2C4.x"></a>x</code></em>;</span></p></td>
<td>The x component of a position attribute</td>
</tr>
<tr>
<td><p><span class="term"><span class="type">float</span> <em class="structfield"><code><a name="CoglVertexP2T2C4.y"></a>y</code></em>;</span></p></td>
<td>The y component of a position attribute</td>
</tr>
<tr>
<td><p><span class="term"><span class="type">float</span> <em class="structfield"><code><a name="CoglVertexP2T2C4.s"></a>s</code></em>;</span></p></td>
<td>The s component of a texture coordinate attribute</td>
</tr>
<tr>
<td><p><span class="term"><span class="type">float</span> <em class="structfield"><code><a name="CoglVertexP2T2C4.t"></a>t</code></em>;</span></p></td>
<td>The t component of a texture coordinate attribute</td>
</tr>
<tr>
<td><p><span class="term"><span class="type">uint8_t</span> <em class="structfield"><code><a name="CoglVertexP2T2C4.r"></a>r</code></em>;</span></p></td>
<td>The red component of a color attribute</td>
</tr>
<tr>
<td><p><span class="term"><span class="type">uint8_t</span> <em class="structfield"><code><a name="CoglVertexP2T2C4.g"></a>g</code></em>;</span></p></td>
<td>The blue component of a color attribute</td>
</tr>
<tr>
<td><p><span class="term"><span class="type">uint8_t</span> <em class="structfield"><code><a name="CoglVertexP2T2C4.b"></a>b</code></em>;</span></p></td>
<td>The green component of a color attribute</td>
</tr>
<tr>
<td><p><span class="term"><span class="type">uint8_t</span> <em class="structfield"><code><a name="CoglVertexP2T2C4.a"></a>a</code></em>;</span></p></td>
<td>The alpha component of a color attribute</td>
</tr>
</tbody>
</table></div>
<p class="since">Since 1.6</p>
<p class="stability">Stability Level: Unstable</p>
</div>
<hr>
<div class="refsect2">
<a name="CoglVertexP3T2C4"></a><h3>CoglVertexP3T2C4</h3>
<pre class="programlisting">typedef struct {
   float x, y, z;
   float s, t;
   uint8_t r, g, b, a;
} CoglVertexP3T2C4;
</pre>
<p>
A convenience vertex definition that can be used with
<a class="link" href="cogl-2.0-experimental-Primitives.html#cogl-primitive-new-p3t2c4" title="cogl_primitive_new_p3t2c4 ()"><code class="function">cogl_primitive_new_p3t2c4()</code></a>.
</p>
<div class="variablelist"><table border="0" class="variablelist">
<colgroup>
<col align="left" valign="top">
<col>
</colgroup>
<tbody>
<tr>
<td><p><span class="term"><span class="type">float</span> <em class="structfield"><code><a name="CoglVertexP3T2C4.x"></a>x</code></em>;</span></p></td>
<td>The x component of a position attribute</td>
</tr>
<tr>
<td><p><span class="term"><span class="type">float</span> <em class="structfield"><code><a name="CoglVertexP3T2C4.y"></a>y</code></em>;</span></p></td>
<td>The y component of a position attribute</td>
</tr>
<tr>
<td><p><span class="term"><span class="type">float</span> <em class="structfield"><code><a name="CoglVertexP3T2C4.z"></a>z</code></em>;</span></p></td>
<td>The z component of a position attribute</td>
</tr>
<tr>
<td><p><span class="term"><span class="type">float</span> <em class="structfield"><code><a name="CoglVertexP3T2C4.s"></a>s</code></em>;</span></p></td>
<td>The s component of a texture coordinate attribute</td>
</tr>
<tr>
<td><p><span class="term"><span class="type">float</span> <em class="structfield"><code><a name="CoglVertexP3T2C4.t"></a>t</code></em>;</span></p></td>
<td>The t component of a texture coordinate attribute</td>
</tr>
<tr>
<td><p><span class="term"><span class="type">uint8_t</span> <em class="structfield"><code><a name="CoglVertexP3T2C4.r"></a>r</code></em>;</span></p></td>
<td>The red component of a color attribute</td>
</tr>
<tr>
<td><p><span class="term"><span class="type">uint8_t</span> <em class="structfield"><code><a name="CoglVertexP3T2C4.g"></a>g</code></em>;</span></p></td>
<td>The blue component of a color attribute</td>
</tr>
<tr>
<td><p><span class="term"><span class="type">uint8_t</span> <em class="structfield"><code><a name="CoglVertexP3T2C4.b"></a>b</code></em>;</span></p></td>
<td>The green component of a color attribute</td>
</tr>
<tr>
<td><p><span class="term"><span class="type">uint8_t</span> <em class="structfield"><code><a name="CoglVertexP3T2C4.a"></a>a</code></em>;</span></p></td>
<td>The alpha component of a color attribute</td>
</tr>
</tbody>
</table></div>
<p class="since">Since 1.6</p>
<p class="stability">Stability Level: Unstable</p>
</div>
<hr>
<div class="refsect2">
<a name="CoglVerticesMode"></a><h3>enum CoglVerticesMode</h3>
<pre class="programlisting">typedef enum {
  COGL_VERTICES_MODE_POINTS = 0x0000,
  COGL_VERTICES_MODE_LINES = 0x0001,
  COGL_VERTICES_MODE_LINE_LOOP = 0x0002,
  COGL_VERTICES_MODE_LINE_STRIP = 0x0003,
  COGL_VERTICES_MODE_TRIANGLES = 0x0004,
  COGL_VERTICES_MODE_TRIANGLE_STRIP = 0x0005,
  COGL_VERTICES_MODE_TRIANGLE_FAN = 0x0006
} CoglVerticesMode;
</pre>
<p>
Different ways of interpreting vertices when drawing.
</p>
<div class="variablelist"><table border="0" class="variablelist">
<colgroup>
<col align="left" valign="top">
<col>
</colgroup>
<tbody>
<tr>
<td><p><a name="COGL-VERTICES-MODE-POINTS:CAPS"></a><span class="term"><code class="literal">COGL_VERTICES_MODE_POINTS</code></span></p></td>
<td>FIXME, equivalent to
<code class="constant">GL_POINTS</code>
</td>
</tr>
<tr>
<td><p><a name="COGL-VERTICES-MODE-LINES:CAPS"></a><span class="term"><code class="literal">COGL_VERTICES_MODE_LINES</code></span></p></td>
<td>FIXME, equivalent to <code class="constant">GL_LINES</code>
</td>
</tr>
<tr>
<td><p><a name="COGL-VERTICES-MODE-LINE-LOOP:CAPS"></a><span class="term"><code class="literal">COGL_VERTICES_MODE_LINE_LOOP</code></span></p></td>
<td>FIXME, equivalent to
<code class="constant">GL_LINE_LOOP</code>
</td>
</tr>
<tr>
<td><p><a name="COGL-VERTICES-MODE-LINE-STRIP:CAPS"></a><span class="term"><code class="literal">COGL_VERTICES_MODE_LINE_STRIP</code></span></p></td>
<td>FIXME, equivalent to
<code class="constant">GL_LINE_STRIP</code>
</td>
</tr>
<tr>
<td><p><a name="COGL-VERTICES-MODE-TRIANGLES:CAPS"></a><span class="term"><code class="literal">COGL_VERTICES_MODE_TRIANGLES</code></span></p></td>
<td>FIXME, equivalent to
<code class="constant">GL_TRIANGLES</code>
</td>
</tr>
<tr>
<td><p><a name="COGL-VERTICES-MODE-TRIANGLE-STRIP:CAPS"></a><span class="term"><code class="literal">COGL_VERTICES_MODE_TRIANGLE_STRIP</code></span></p></td>
<td>FIXME, equivalent to
<code class="constant">GL_TRIANGLE_STRIP</code>
</td>
</tr>
<tr>
<td><p><a name="COGL-VERTICES-MODE-TRIANGLE-FAN:CAPS"></a><span class="term"><code class="literal">COGL_VERTICES_MODE_TRIANGLE_FAN</code></span></p></td>
<td>FIXME, equivalent to <code class="constant">GL_TRIANGLE_FAN</code>
</td>
</tr>
</tbody>
</table></div>
<p class="since">Since 1.0</p>
</div>
<hr>
<div class="refsect2">
<a name="CoglFuncPtr"></a><h3>CoglFuncPtr ()</h3>
<pre class="programlisting"><span class="returnvalue">void</span>                (*CoglFuncPtr)                      (<em class="parameter"><code><span class="type">void</span></code></em>);</pre>
<p>
The type used by cogl for function pointers, note that this type
is used as a generic catch-all cast for function pointers and the
actual arguments and return type may be different.
</p>
</div>
<hr>
<div class="refsect2">
<a name="CoglPixelFormat"></a><h3>enum CoglPixelFormat</h3>
<pre class="programlisting">typedef enum {
 /*&lt; prefix=COGL_PIXEL_FORMAT &gt;*/
  COGL_PIXEL_FORMAT_ANY           = 0,
  COGL_PIXEL_FORMAT_A_8           = 1 | COGL_A_BIT,

  COGL_PIXEL_FORMAT_RGB_565       = 4,
  COGL_PIXEL_FORMAT_RGBA_4444     = 5 | COGL_A_BIT,
  COGL_PIXEL_FORMAT_RGBA_5551     = 6 | COGL_A_BIT,
  COGL_PIXEL_FORMAT_YUV           = 7,
  COGL_PIXEL_FORMAT_G_8           = 8,

  COGL_PIXEL_FORMAT_RGB_888       = 2,
  COGL_PIXEL_FORMAT_BGR_888       = (2 | COGL_BGR_BIT),

  COGL_PIXEL_FORMAT_RGBA_8888     = (3 | COGL_A_BIT),
  COGL_PIXEL_FORMAT_BGRA_8888     = (3 | COGL_A_BIT | COGL_BGR_BIT),
  COGL_PIXEL_FORMAT_ARGB_8888     = (3 | COGL_A_BIT | COGL_AFIRST_BIT),
  COGL_PIXEL_FORMAT_ABGR_8888     = (3 | COGL_A_BIT | COGL_BGR_BIT | COGL_AFIRST_BIT),

  COGL_PIXEL_FORMAT_RGBA_1010102  = (13 | COGL_A_BIT),
  COGL_PIXEL_FORMAT_BGRA_1010102  = (13 | COGL_A_BIT | COGL_BGR_BIT),
  COGL_PIXEL_FORMAT_ARGB_2101010  = (13 | COGL_A_BIT | COGL_AFIRST_BIT),
  COGL_PIXEL_FORMAT_ABGR_2101010  = (13 | COGL_A_BIT | COGL_BGR_BIT | COGL_AFIRST_BIT),

  COGL_PIXEL_FORMAT_RGBA_8888_PRE = (3 | COGL_A_BIT | COGL_PREMULT_BIT),
  COGL_PIXEL_FORMAT_BGRA_8888_PRE = (3 | COGL_A_BIT | COGL_PREMULT_BIT | COGL_BGR_BIT),
  COGL_PIXEL_FORMAT_ARGB_8888_PRE = (3 | COGL_A_BIT | COGL_PREMULT_BIT | COGL_AFIRST_BIT),
  COGL_PIXEL_FORMAT_ABGR_8888_PRE = (3 | COGL_A_BIT | COGL_PREMULT_BIT | COGL_BGR_BIT | COGL_AFIRST_BIT),
  COGL_PIXEL_FORMAT_RGBA_4444_PRE = (COGL_PIXEL_FORMAT_RGBA_4444 | COGL_A_BIT | COGL_PREMULT_BIT),
  COGL_PIXEL_FORMAT_RGBA_5551_PRE = (COGL_PIXEL_FORMAT_RGBA_5551 | COGL_A_BIT | COGL_PREMULT_BIT),

  COGL_PIXEL_FORMAT_RGBA_1010102_PRE = (COGL_PIXEL_FORMAT_RGBA_1010102 | COGL_PREMULT_BIT),
  COGL_PIXEL_FORMAT_BGRA_1010102_PRE = (COGL_PIXEL_FORMAT_BGRA_1010102 | COGL_PREMULT_BIT),
  COGL_PIXEL_FORMAT_ARGB_2101010_PRE = (COGL_PIXEL_FORMAT_ARGB_2101010 | COGL_PREMULT_BIT),
  COGL_PIXEL_FORMAT_ABGR_2101010_PRE = (COGL_PIXEL_FORMAT_ABGR_2101010 | COGL_PREMULT_BIT),

  COGL_PIXEL_FORMAT_DEPTH_16  = (9 | COGL_DEPTH_BIT),
  COGL_PIXEL_FORMAT_DEPTH_32  = (3 | COGL_DEPTH_BIT),

  COGL_PIXEL_FORMAT_DEPTH_24_STENCIL_8 = (3 | COGL_DEPTH_BIT | COGL_STENCIL_BIT)
} CoglPixelFormat;
</pre>
<p>
Pixel formats used by Cogl. For the formats with a byte per
component, the order of the components specify the order in
increasing memory addresses. So for example
<a class="link" href="cogl-2.0-experimental-Common-Types.html#COGL-PIXEL-FORMAT-RGB-888:CAPS"><code class="literal">COGL_PIXEL_FORMAT_RGB_888</code></a> would have the red component in the
lowest address, green in the next address and blue after that
regardless of the endianness of the system.
</p>
<p>
For the formats with non byte aligned components the component
order specifies the order within a 16-bit or 32-bit number from
most significant bit to least significant. So for
<a class="link" href="cogl-2.0-experimental-Common-Types.html#COGL-PIXEL-FORMAT-RGB-565:CAPS"><code class="literal">COGL_PIXEL_FORMAT_RGB_565</code></a>, the red component would be in bits
11-15, the green component would be in 6-11 and the blue component
would be in 1-5. Therefore the order in memory depends on the
endianness of the system.
</p>
<p>
When uploading a texture <a class="link" href="cogl-2.0-experimental-Common-Types.html#COGL-PIXEL-FORMAT-ANY:CAPS"><code class="literal">COGL_PIXEL_FORMAT_ANY</code></a> can be used as the
internal format. Cogl will try to pick the best format to use
internally and convert the texture data if necessary.
</p>
<div class="variablelist"><table border="0" class="variablelist">
<colgroup>
<col align="left" valign="top">
<col>
</colgroup>
<tbody>
<tr>
<td><p><a name="COGL-PIXEL-FORMAT-ANY:CAPS"></a><span class="term"><code class="literal">COGL_PIXEL_FORMAT_ANY</code></span></p></td>
<td>Any format
</td>
</tr>
<tr>
<td><p><a name="COGL-PIXEL-FORMAT-A-8:CAPS"></a><span class="term"><code class="literal">COGL_PIXEL_FORMAT_A_8</code></span></p></td>
<td>8 bits alpha mask
</td>
</tr>
<tr>
<td><p><a name="COGL-PIXEL-FORMAT-RGB-565:CAPS"></a><span class="term"><code class="literal">COGL_PIXEL_FORMAT_RGB_565</code></span></p></td>
<td>RGB, 16 bits
</td>
</tr>
<tr>
<td><p><a name="COGL-PIXEL-FORMAT-RGBA-4444:CAPS"></a><span class="term"><code class="literal">COGL_PIXEL_FORMAT_RGBA_4444</code></span></p></td>
<td>RGBA, 16 bits
</td>
</tr>
<tr>
<td><p><a name="COGL-PIXEL-FORMAT-RGBA-5551:CAPS"></a><span class="term"><code class="literal">COGL_PIXEL_FORMAT_RGBA_5551</code></span></p></td>
<td>RGBA, 16 bits
</td>
</tr>
<tr>
<td><p><a name="COGL-PIXEL-FORMAT-YUV:CAPS"></a><span class="term"><code class="literal">COGL_PIXEL_FORMAT_YUV</code></span></p></td>
<td>Not currently supported
</td>
</tr>
<tr>
<td><p><a name="COGL-PIXEL-FORMAT-G-8:CAPS"></a><span class="term"><code class="literal">COGL_PIXEL_FORMAT_G_8</code></span></p></td>
<td>Single luminance component
</td>
</tr>
<tr>
<td><p><a name="COGL-PIXEL-FORMAT-RGB-888:CAPS"></a><span class="term"><code class="literal">COGL_PIXEL_FORMAT_RGB_888</code></span></p></td>
<td>RGB, 24 bits
</td>
</tr>
<tr>
<td><p><a name="COGL-PIXEL-FORMAT-BGR-888:CAPS"></a><span class="term"><code class="literal">COGL_PIXEL_FORMAT_BGR_888</code></span></p></td>
<td>BGR, 24 bits
</td>
</tr>
<tr>
<td><p><a name="COGL-PIXEL-FORMAT-RGBA-8888:CAPS"></a><span class="term"><code class="literal">COGL_PIXEL_FORMAT_RGBA_8888</code></span></p></td>
<td>RGBA, 32 bits
</td>
</tr>
<tr>
<td><p><a name="COGL-PIXEL-FORMAT-BGRA-8888:CAPS"></a><span class="term"><code class="literal">COGL_PIXEL_FORMAT_BGRA_8888</code></span></p></td>
<td>BGRA, 32 bits
</td>
</tr>
<tr>
<td><p><a name="COGL-PIXEL-FORMAT-ARGB-8888:CAPS"></a><span class="term"><code class="literal">COGL_PIXEL_FORMAT_ARGB_8888</code></span></p></td>
<td>ARGB, 32 bits
</td>
</tr>
<tr>
<td><p><a name="COGL-PIXEL-FORMAT-ABGR-8888:CAPS"></a><span class="term"><code class="literal">COGL_PIXEL_FORMAT_ABGR_8888</code></span></p></td>
<td>ABGR, 32 bits
</td>
</tr>
<tr>
<td><p><a name="COGL-PIXEL-FORMAT-RGBA-1010102:CAPS"></a><span class="term"><code class="literal">COGL_PIXEL_FORMAT_RGBA_1010102</code></span></p></td>
<td>RGBA, 32 bits, 10 bpc
</td>
</tr>
<tr>
<td><p><a name="COGL-PIXEL-FORMAT-BGRA-1010102:CAPS"></a><span class="term"><code class="literal">COGL_PIXEL_FORMAT_BGRA_1010102</code></span></p></td>
<td>BGRA, 32 bits, 10 bpc
</td>
</tr>
<tr>
<td><p><a name="COGL-PIXEL-FORMAT-ARGB-2101010:CAPS"></a><span class="term"><code class="literal">COGL_PIXEL_FORMAT_ARGB_2101010</code></span></p></td>
<td>ARGB, 32 bits, 10 bpc
</td>
</tr>
<tr>
<td><p><a name="COGL-PIXEL-FORMAT-ABGR-2101010:CAPS"></a><span class="term"><code class="literal">COGL_PIXEL_FORMAT_ABGR_2101010</code></span></p></td>
<td>ABGR, 32 bits, 10 bpc
</td>
</tr>
<tr>
<td><p><a name="COGL-PIXEL-FORMAT-RGBA-8888-PRE:CAPS"></a><span class="term"><code class="literal">COGL_PIXEL_FORMAT_RGBA_8888_PRE</code></span></p></td>
<td>Premultiplied RGBA, 32 bits
</td>
</tr>
<tr>
<td><p><a name="COGL-PIXEL-FORMAT-BGRA-8888-PRE:CAPS"></a><span class="term"><code class="literal">COGL_PIXEL_FORMAT_BGRA_8888_PRE</code></span></p></td>
<td>Premultiplied BGRA, 32 bits
</td>
</tr>
<tr>
<td><p><a name="COGL-PIXEL-FORMAT-ARGB-8888-PRE:CAPS"></a><span class="term"><code class="literal">COGL_PIXEL_FORMAT_ARGB_8888_PRE</code></span></p></td>
<td>Premultiplied ARGB, 32 bits
</td>
</tr>
<tr>
<td><p><a name="COGL-PIXEL-FORMAT-ABGR-8888-PRE:CAPS"></a><span class="term"><code class="literal">COGL_PIXEL_FORMAT_ABGR_8888_PRE</code></span></p></td>
<td>Premultiplied ABGR, 32 bits
</td>
</tr>
<tr>
<td><p><a name="COGL-PIXEL-FORMAT-RGBA-4444-PRE:CAPS"></a><span class="term"><code class="literal">COGL_PIXEL_FORMAT_RGBA_4444_PRE</code></span></p></td>
<td>Premultiplied RGBA, 16 bits
</td>
</tr>
<tr>
<td><p><a name="COGL-PIXEL-FORMAT-RGBA-5551-PRE:CAPS"></a><span class="term"><code class="literal">COGL_PIXEL_FORMAT_RGBA_5551_PRE</code></span></p></td>
<td>Premultiplied RGBA, 16 bits
</td>
</tr>
<tr>
<td><p><a name="COGL-PIXEL-FORMAT-RGBA-1010102-PRE:CAPS"></a><span class="term"><code class="literal">COGL_PIXEL_FORMAT_RGBA_1010102_PRE</code></span></p></td>
<td>Premultiplied RGBA, 32 bits, 10 bpc
</td>
</tr>
<tr>
<td><p><a name="COGL-PIXEL-FORMAT-BGRA-1010102-PRE:CAPS"></a><span class="term"><code class="literal">COGL_PIXEL_FORMAT_BGRA_1010102_PRE</code></span></p></td>
<td>Premultiplied BGRA, 32 bits, 10 bpc
</td>
</tr>
<tr>
<td><p><a name="COGL-PIXEL-FORMAT-ARGB-2101010-PRE:CAPS"></a><span class="term"><code class="literal">COGL_PIXEL_FORMAT_ARGB_2101010_PRE</code></span></p></td>
<td>Premultiplied ARGB, 32 bits, 10 bpc
</td>
</tr>
<tr>
<td><p><a name="COGL-PIXEL-FORMAT-ABGR-2101010-PRE:CAPS"></a><span class="term"><code class="literal">COGL_PIXEL_FORMAT_ABGR_2101010_PRE</code></span></p></td>
<td>Premultiplied ABGR, 32 bits, 10 bpc
</td>
</tr>
<tr>
<td><p><a name="COGL-PIXEL-FORMAT-DEPTH-16:CAPS"></a><span class="term"><code class="literal">COGL_PIXEL_FORMAT_DEPTH_16</code></span></p></td>
<td></td>
</tr>
<tr>
<td><p><a name="COGL-PIXEL-FORMAT-DEPTH-32:CAPS"></a><span class="term"><code class="literal">COGL_PIXEL_FORMAT_DEPTH_32</code></span></p></td>
<td></td>
</tr>
<tr>
<td><p><a name="COGL-PIXEL-FORMAT-DEPTH-24-STENCIL-8:CAPS"></a><span class="term"><code class="literal">COGL_PIXEL_FORMAT_DEPTH_24_STENCIL_8</code></span></p></td>
<td></td>
</tr>
</tbody>
</table></div>
<p class="since">Since 0.8</p>
</div>
<hr>
<div class="refsect2">
<a name="CoglBufferTarget"></a><h3>enum CoglBufferTarget</h3>
<pre class="programlisting">typedef enum {
  COGL_WINDOW_BUFFER      = (1 &lt;&lt; 1),
  COGL_OFFSCREEN_BUFFER   = (1 &lt;&lt; 2)
} CoglBufferTarget;
</pre>
<p>
Target flags for FBOs.
</p>
<div class="variablelist"><table border="0" class="variablelist">
<colgroup>
<col align="left" valign="top">
<col>
</colgroup>
<tbody>
<tr>
<td><p><a name="COGL-WINDOW-BUFFER:CAPS"></a><span class="term"><code class="literal">COGL_WINDOW_BUFFER</code></span></p></td>
<td>FIXME
</td>
</tr>
<tr>
<td><p><a name="COGL-OFFSCREEN-BUFFER:CAPS"></a><span class="term"><code class="literal">COGL_OFFSCREEN_BUFFER</code></span></p></td>
<td>FIXME
</td>
</tr>
</tbody>
</table></div>
<p class="since">Since 0.8</p>
</div>
<hr>
<div class="refsect2">
<a name="CoglBufferBit"></a><h3>enum CoglBufferBit</h3>
<pre class="programlisting">typedef enum {
  COGL_BUFFER_BIT_COLOR   = 1L&lt;&lt;0,
  COGL_BUFFER_BIT_DEPTH   = 1L&lt;&lt;1,
  COGL_BUFFER_BIT_STENCIL = 1L&lt;&lt;2
} CoglBufferBit;
</pre>
<p>
Types of auxiliary buffers
</p>
<div class="variablelist"><table border="0" class="variablelist">
<colgroup>
<col align="left" valign="top">
<col>
</colgroup>
<tbody>
<tr>
<td><p><a name="COGL-BUFFER-BIT-COLOR:CAPS"></a><span class="term"><code class="literal">COGL_BUFFER_BIT_COLOR</code></span></p></td>
<td>Selects the primary color buffer
</td>
</tr>
<tr>
<td><p><a name="COGL-BUFFER-BIT-DEPTH:CAPS"></a><span class="term"><code class="literal">COGL_BUFFER_BIT_DEPTH</code></span></p></td>
<td>Selects the depth buffer
</td>
</tr>
<tr>
<td><p><a name="COGL-BUFFER-BIT-STENCIL:CAPS"></a><span class="term"><code class="literal">COGL_BUFFER_BIT_STENCIL</code></span></p></td>
<td>Selects the stencil buffer
</td>
</tr>
</tbody>
</table></div>
<p class="since">Since 1.0</p>
</div>
<hr>
<div class="refsect2">
<a name="CoglAttributeType"></a><h3>enum CoglAttributeType</h3>
<pre class="programlisting">typedef enum {
  COGL_ATTRIBUTE_TYPE_BYTE           = 0x1400,
  COGL_ATTRIBUTE_TYPE_UNSIGNED_BYTE  = 0x1401,
  COGL_ATTRIBUTE_TYPE_SHORT          = 0x1402,
  COGL_ATTRIBUTE_TYPE_UNSIGNED_SHORT = 0x1403,
  COGL_ATTRIBUTE_TYPE_FLOAT          = 0x1406
} CoglAttributeType;
</pre>
<p>
Data types for the components of a vertex attribute.
</p>
<div class="variablelist"><table border="0" class="variablelist">
<colgroup>
<col align="left" valign="top">
<col>
</colgroup>
<tbody>
<tr>
<td><p><a name="COGL-ATTRIBUTE-TYPE-BYTE:CAPS"></a><span class="term"><code class="literal">COGL_ATTRIBUTE_TYPE_BYTE</code></span></p></td>
<td>Data is the same size of a byte
</td>
</tr>
<tr>
<td><p><a name="COGL-ATTRIBUTE-TYPE-UNSIGNED-BYTE:CAPS"></a><span class="term"><code class="literal">COGL_ATTRIBUTE_TYPE_UNSIGNED_BYTE</code></span></p></td>
<td>Data is the same size of an
  unsigned byte
</td>
</tr>
<tr>
<td><p><a name="COGL-ATTRIBUTE-TYPE-SHORT:CAPS"></a><span class="term"><code class="literal">COGL_ATTRIBUTE_TYPE_SHORT</code></span></p></td>
<td>Data is the same size of a short integer
</td>
</tr>
<tr>
<td><p><a name="COGL-ATTRIBUTE-TYPE-UNSIGNED-SHORT:CAPS"></a><span class="term"><code class="literal">COGL_ATTRIBUTE_TYPE_UNSIGNED_SHORT</code></span></p></td>
<td>Data is the same size of
  an unsigned short integer
</td>
</tr>
<tr>
<td><p><a name="COGL-ATTRIBUTE-TYPE-FLOAT:CAPS"></a><span class="term"><code class="literal">COGL_ATTRIBUTE_TYPE_FLOAT</code></span></p></td>
<td>Data is the same size of a float
</td>
</tr>
</tbody>
</table></div>
<p class="since">Since 1.0</p>
</div>
<hr>
<div class="refsect2">
<a name="CoglColorMask"></a><h3>enum CoglColorMask</h3>
<pre class="programlisting">typedef enum {
  COGL_COLOR_MASK_NONE = 0,
  COGL_COLOR_MASK_RED = 1L&lt;&lt;0,
  COGL_COLOR_MASK_GREEN = 1L&lt;&lt;1,
  COGL_COLOR_MASK_BLUE = 1L&lt;&lt;2,
  COGL_COLOR_MASK_ALPHA = 1L&lt;&lt;3,
  /* XXX: glib-mkenums is a perl script that can't cope if we split
   * this onto multiple lines! *sigh* */
  COGL_COLOR_MASK_ALL = (COGL_COLOR_MASK_RED | COGL_COLOR_MASK_GREEN | COGL_COLOR_MASK_BLUE | COGL_COLOR_MASK_ALPHA)
} CoglColorMask;
</pre>
<p>
Defines a bit mask of color channels. This can be used with
<a class="link" href="cogl-2.0-experimental-Pipeline.html#cogl-pipeline-set-color-mask" title="cogl_pipeline_set_color_mask ()"><code class="function">cogl_pipeline_set_color_mask()</code></a> for example to define which color
channels should be written to the current framebuffer when
drawing something.
</p>
<div class="variablelist"><table border="0" class="variablelist">
<colgroup>
<col align="left" valign="top">
<col>
</colgroup>
<tbody>
<tr>
<td><p><a name="COGL-COLOR-MASK-NONE:CAPS"></a><span class="term"><code class="literal">COGL_COLOR_MASK_NONE</code></span></p></td>
<td>None of the color channels are masked
</td>
</tr>
<tr>
<td><p><a name="COGL-COLOR-MASK-RED:CAPS"></a><span class="term"><code class="literal">COGL_COLOR_MASK_RED</code></span></p></td>
<td>Masks the red color channel
</td>
</tr>
<tr>
<td><p><a name="COGL-COLOR-MASK-GREEN:CAPS"></a><span class="term"><code class="literal">COGL_COLOR_MASK_GREEN</code></span></p></td>
<td>Masks the green color channel
</td>
</tr>
<tr>
<td><p><a name="COGL-COLOR-MASK-BLUE:CAPS"></a><span class="term"><code class="literal">COGL_COLOR_MASK_BLUE</code></span></p></td>
<td>Masks the blue color channel
</td>
</tr>
<tr>
<td><p><a name="COGL-COLOR-MASK-ALPHA:CAPS"></a><span class="term"><code class="literal">COGL_COLOR_MASK_ALPHA</code></span></p></td>
<td>Masks the alpha color channel
</td>
</tr>
<tr>
<td><p><a name="COGL-COLOR-MASK-ALL:CAPS"></a><span class="term"><code class="literal">COGL_COLOR_MASK_ALL</code></span></p></td>
<td>All of the color channels are masked
</td>
</tr>
</tbody>
</table></div>
</div>
<hr>
<div class="refsect2">
<a name="CoglTextureFlags"></a><h3>enum CoglTextureFlags</h3>
<pre class="programlisting">typedef enum {
  COGL_TEXTURE_NONE           = 0,
  COGL_TEXTURE_NO_AUTO_MIPMAP = 1 &lt;&lt; 0,
  COGL_TEXTURE_NO_SLICING     = 1 &lt;&lt; 1,
  COGL_TEXTURE_NO_ATLAS       = 1 &lt;&lt; 2
} CoglTextureFlags;
</pre>
<p>
Flags to pass to the cogl_texture_new_* family of functions.
</p>
<div class="variablelist"><table border="0" class="variablelist">
<colgroup>
<col align="left" valign="top">
<col>
</colgroup>
<tbody>
<tr>
<td><p><a name="COGL-TEXTURE-NONE:CAPS"></a><span class="term"><code class="literal">COGL_TEXTURE_NONE</code></span></p></td>
<td>No flags specified
</td>
</tr>
<tr>
<td><p><a name="COGL-TEXTURE-NO-AUTO-MIPMAP:CAPS"></a><span class="term"><code class="literal">COGL_TEXTURE_NO_AUTO_MIPMAP</code></span></p></td>
<td>Disables the automatic generation of
  the mipmap pyramid from the base level image whenever it is
  updated. The mipmaps are only generated when the texture is
  rendered with a mipmap filter so it should be free to leave out
  this flag when using other filtering modes
</td>
</tr>
<tr>
<td><p><a name="COGL-TEXTURE-NO-SLICING:CAPS"></a><span class="term"><code class="literal">COGL_TEXTURE_NO_SLICING</code></span></p></td>
<td>Disables the slicing of the texture
</td>
</tr>
<tr>
<td><p><a name="COGL-TEXTURE-NO-ATLAS:CAPS"></a><span class="term"><code class="literal">COGL_TEXTURE_NO_ATLAS</code></span></p></td>
<td>Disables the insertion of the texture inside
  the texture atlas used by Cogl
</td>
</tr>
</tbody>
</table></div>
<p class="since">Since 1.0</p>
</div>
<hr>
<div class="refsect2">
<a name="CoglBool"></a><h3>CoglBool</h3>
<pre class="programlisting">typedef int CoglBool;
</pre>
<p>
A boolean data type used throughout the Cogl C api. This should be
used in conjunction with the <a href="http://library.gnome.org/devel/glib/unstable/glib-Standard-Macros.html#TRUE:CAPS"><code class="literal">TRUE</code></a> and <a href="http://library.gnome.org/devel/glib/unstable/glib-Standard-Macros.html#FALSE:CAPS"><code class="literal">FALSE</code></a> macro defines for
setting and testing boolean values.
</p>
<p class="since">Since 2.0</p>
<p class="stability">Stability Level: Stable</p>
</div>
</div>
</div>
<div class="footer">
<hr>
          Generated by GTK-Doc V1.18.1</div>
</body>
</html>